<%@ include file="includes/jspheader.jsp"%>
<%@ include file="includes/jspencoding.jsp"%>
<%@ include file="includes/sdkinit.jsp"%>
<%@ include file="includes/sdklogincheck.jsp"%>

<%@ page import="java.util.*"%>
<%@ page import="com.esko.webcenter.log.*"%>
<%@ page import="com.esko.webcenter.src.root.*"%>
<%@ page import="com.esko.webcenter.src.util.*"%>
<%@ page import="com.esko.util.StringUtils" %>
<%@ page import="com.esko.webcenter.sdk.SDKException"%>
<%@ page import="com.esko.webcenter.jsp.textcontent.TextContentUtils"%>

<%@ page import="org.json.XML"%>


<%
	String loginID = LoginMgr.getLoginMgr(session).getLoginID() ; 

	// get parameters 	
	Properties requestParams = SDKUtils.getRequestParams(request, session, application, requestParamsLoginCheck);

	// Get Project ID 
	String projectID = (requestParams.containsKey("projectid")) ? ((String[])requestParams.get("projectid"))[0] : null;
	
	
	// Get All text content languages
	String languages = (requestParams.containsKey("languages")) ? ((String[])requestParams.get("languages"))[0] : null;
		
	//Get Document Version ID
	String docVersionID = (requestParams.containsKey("docverid")) ? ((String[])requestParams.get("docverid"))[0] : null;
	
	// Get whether we need to return a json.
	boolean needJson = (requestParams.containsKey("json")) ? ((String[])requestParams.get("json"))[0].equals("1") : false;
	
	//documenInfoMgrTM object is created to get projectId corresponding to document version Id.
	DocumentInfoMgr documenInfoMgrTM = new DocumentInfoMgr();
		
	//Retrive project id in case of only document version id is passed
	if (!StringUtils.checkForValue(projectID) && StringUtils.checkForValue(docVersionID)) {
		projectID  = documenInfoMgrTM.getProjectID(response, session, loginID, docVersionID);
	}
	
	 try {
		 String attributesXML = TextContentUtils.getAttributesValuesXML(projectID, loginID, languages);
		 if (attributesXML == null){
				throw new Exception("attributesXML is null");
		} else {
			if (needJson) {
				response.setContentType("application/json");
				out.write(XML.toJSONObject(attributesXML, true).toString());
			} else {
				response.setContentType("application/xml");
				out.write(attributesXML);
			}
		}
	}catch(SDKException e){
		out.write(SDKUtils.ShowError(e.getSDKErrorCode(), e.getMessage()));
		checkLogOff(session);
		return;	
	}catch(WebCenterRemoteException e){
		out.write(SDKUtils.ShowError(SDKUtils.SDK_WRONG_PARAM));
		checkLogOff(session);
		return;	
	}catch(Exception e){
		out.write(SDKUtils.ShowError(SDKUtils.SDK_WRONG_PARAM));
		checkLogOff(session);
		return;	
	}

	checkLogOff(session);
%>
